﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            BitmapImage bitmapImage = new BitmapImage();

            bitmapImage.BeginInit();

            bitmapImage.DecodePixelWidth = 300;
            bitmapImage.UriSource        = new Uri(@"IMAGE/sunset.jpg", UriKind.Relative);

            bitmapImage.EndInit();

            List<Color> colorList = new List<Color>();

            colorList.Add(Colors.Red  );
            colorList.Add(Colors.Blue );
            colorList.Add(Colors.Green);
            colorList.Add(Colors.White);

            BitmapPalette bitmapPalette = new BitmapPalette(colorList);

            FormatConvertedBitmap formatConvertedBitmap = new FormatConvertedBitmap();

            formatConvertedBitmap.BeginInit();

            formatConvertedBitmap.DestinationFormat  = PixelFormats.Indexed2;
            formatConvertedBitmap.DestinationPalette = bitmapPalette;
            formatConvertedBitmap.Source             = bitmapImage;

            formatConvertedBitmap.EndInit();

            this.image.Source = formatConvertedBitmap;
        }

        #endregion
    }
}